# Unmocking/Passing Through

{% hint style="danger" %}
UnMocked Calls will be called as-is in both RECORD and REPLAY modes. Any network calls make inside the  callback of `executeUnmocked()`  would be actually made&#x20;
{% endhint %}

```typescript

import * as htSdk from '@hypertestco/node-sdk';
/**
   .. code normally instrumented by hypertest
**/

// old code
// const axiosResponse = await axios.post('https://myexampleurl.com/api/v1/sample', {"key":"value"});


// new code
const axiosResponse = await htSdk.executeUnmocked(async () => {
  // Anything called here is not captured/mocked by hypertest in any mode
  
  await axios.post('https://myexampleurl.com/api/v1/sample', {"key":"value"});
  // the above http call would not be captured by hypertest during record mode.
  // it would actually hit myexampleurl.com in replay mode.
  
})
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs-v2.hypertest.co/user-guides/node.js-sdk/unmocking-passing-through.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
